/*------------------------------------*\
    #PAGE-BODY
\*------------------------------------*/
/**
 * This is the page body or main section.
 */
@import '../1-utils/utils.loader';
@import '../0-settings/settings.components';

$inuit-column-main-colspan-small-up: 24;
$inuit-column-main-offset-small-up: 2;
$inuit-column-aside-colspan-small-up: 20;
$inuit-column-aside-offset-small-up: 2;

$inuit-column-main-colspan-medium-up: 20;
$inuit-column-main-offset-medium-up: 1;
$inuit-column-aside-colspan-medium-up: 24;
$inuit-column-aside-offset-medium-up: 1;

$inuit-column-main-colspan-large-up: 16;
$inuit-column-main-offset-large-up: 1;
$inuit-column-aside-colspan-large-up: 4;
$inuit-column-aside-offset-large-up: 0;

.#{$inuit-namespace}page-body,
%#{$inuit-namespace}page-body {
    @extend %h-center-page;
}

.#{$inuit-namespace}page-body__column,
%#{$inuit-namespace}page-body__column {
    /**
     * o-column--main and o-column--aside are supposed to be used
     * on subpages where there is a main and a marginal column.
     */

    &--main {
        @include grid-column(
            $columns: $inuit-column-main-colspan-small-up
        );
        padding-right: 0;

        @media #{$small-up}{
            @include grid-column(
                $columns: $inuit-column-main-colspan-small-up
            );

            padding: 0;
        }

        @media #{$large-up} {
            @include grid-column(
                $columns: 14,
                $push: 6

            );
            padding-right: $drk-grid-unit;
        }

        @media #{$xlarge-up} {
            @include grid-column(
                $columns: $inuit-column-main-colspan-large-up,
                $push: 6
            );
            padding-right: $drk-grid-unit;
        }

        .o-gridblock--1column,
        .o-gridblock--2columns,
        .o-gridblock--3columns,
        .o-gridblock--4columns {
            //padding: 30px 0;
        }

        > .o-gridblock--item,
        .o-gridblock__item--full {
            margin-left: 0;
            width: 100%;
        }

        .c-news-slider {

            &__list {
                padding: 0;
            }

            &__item {
                width: 90%;
                padding: 0;
                margin-left: 0;
            }

            &__arrow {
                top: 50px;

                @media #{$medium-up} {
                    top: 50%;
                }
            }

            &__break,
            &__play {
                top: 10px;
                left: 10px;
            }
        }
    }

    &--aside {
        @include grid-column(
            $columns: 24
        );

        padding: 0;
        font-size: $inuit-font-size-small;

        .o-gridblock--1column,
        .o-gridblock--2columns,
        .o-gridblock--3columns {
            @include block-grid(1);

            > li {
                padding-bottom: 20px;

            }
        }

        h1,
        h2,
        h3,
        h4,
        h5,
        h6 {
            @include inuit-font-size($inuit-heading-size-4, $inuit-heading-lineheight-1);
        }

        .c-teaser__title {
            margin-top: 20px;
        }

        @media #{$medium}{
            @include grid-column(
                $columns: 14
            );

            @include drk-grid-offset(0);

            padding: 0;
        }

        @media #{$large-up}{
            @include grid-column(
                $columns: 6,
                $pull: 14
            );
            @include drk-grid-offset(0);

            margin-top: drk-quadruple($drk-base-unit);
            padding-left: 0;
        }

        @media #{$xlarge-up} {
            @include grid-column(
                $pull: 16
            );

            padding-left: 0;
        }
    }

    &--overview {
        @include grid-column(
            $columns: 40
        );
    }
}

/**
    *small hack for hidding information in first stage image on page
    **/
.frontpage > section:first-child .c-stage-teaser__content {
    display: none;
}

.o-stage__image__maritime-streifen {
    height: 100%;
    width: 50px;
    position: absolute;
    background: repeating-linear-gradient(#008ccd, #008ccd 11.1%, #fff 11.1%, #fff 22.22%);
    -moz-transition: all 1s ease-in-out, left 1.5s ease-in-out;
    -webkit-transition: all 1s ease-in-out, left 1.5s ease-in-out;
    -moz-transition: all 1s ease-in-out, left 1.5s ease-in-out;
    -o-transition: all 1s ease-in-out, left 1.5s ease-in-out;
    transition: all 1s ease-in-out, left 1.5s ease-in-out;
}
@media (max-width: 1024px) {
    .o-stage__image__maritime-streifen {
        width: 10px;
        -transform: translatex(-40px);
    }
}
